curl --request PUT \
--url https://api.jogg.ai/v1/product \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"product_id": 3924,
"name": "Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested",
"description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ",
"target_audience": "",
"media": [
{
"type": 1,
"name": "media.jpg",
"url": "https://res.jogg.ai/media.jpg",
"description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow."
}
]
}
'import requests
url = "https://api.jogg.ai/v1/product"
payload = {
"product_id": 3924,
"name": "Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested",
"description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ",
"target_audience": "",
"media": [
{
"type": 1,
"name": "media.jpg",
"url": "https://res.jogg.ai/media.jpg",
"description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow."
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product_id: 3924,
name: 'Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested',
description: 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ',
target_audience: '',
media: [
{
type: 1,
name: 'media.jpg',
url: 'https://res.jogg.ai/media.jpg',
description: 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.'
}
]
})
};
fetch('https://api.jogg.ai/v1/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"msg": "<string>"
}Update Product Information
Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)
Authorizations
Body
Product ID obtained from Step 1 (POST /open/product) response data.id
3924
Product name
"Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested"
Product introduction and selling points
"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. "
Target audience for the product
""
Media resources array (will replace existing media if provided)
Show child attributes
Show child attributes
Response
Product updated successfully

